%SeaSCAPE_graphs
%% FIGURE 1: bar graph. Color and SSW line added in inkscape
c = categorical({'s9', 's8', 's7', 's6', 'cyc', 'ssml'});
c = reordercats(c,{'s9', 's8', 's7', 's6', 'cyc', 'ssml'});
pHs = [1.9469, 1.9894, 2.0638, 2.1028, 3.99, 7.8];
errhigh = [.101, .163, .214, .249, .46, .13];
errlow = errhigh
bar(c, pHs, 'BarWidth', 1);
set(gca, 'box', 'off');
set(gca, 'xtick', []);
hold on
er = errorbar(c, pHs, errlow, errhigh);
er.Color = [0 0 0];
er.LineStyle = 'none';
ylim([0 8.2]);
ylabel('pH');
%% FIGURE 2: Time series
load timeSeriesGraphFinal
% load pCO2TS bulkTime MOUDItime
t = datetime(2019,7, 24) + caldays(0:20);
% Daily bulk averages, consider plotting full data series if possible
bulkTS = [7.968 7.942 7.935 7.948 7.952 7.965 7.973 8 8.064 8.169 8.228 8.277 8.265 8.178 8.17 8.146 8.11 8.067 8.033 8.025 8.037];
SSMLTS = [7.64 7.57 7.69 7.86 7.8 7.81 7.94 7.88 7.87 7.91 7.75 7.93 7.97 7.86 7.73 7.77 7.77 7.87 7.89 7.73 8.06];
% Daily Chl averages, better to plot individual data points if possible
%ChlTS = [.67 .81 .91 .84 .56 .82 1.45 2.42 9.91 18.72 18.26 9.54 7.74 5.21 5.16 6.35 5.57 5.32 2.72 1.71 2.05];
MOUDITS = [2.05 1.96 1.88 1.94 1.99 2.08 2.12 2.16 1.94 1.87 2.31 2.06 2.13 2.08 2.21 2.03 1.53 1.88 2.15 2.05 2.03];
%plot(t, bulkTS, 'b-*');
plot(bulkTime, bulkAll, 'b--')
hold on
plot(t, SSMLTS, 'k-o');
plot(MOUDItime, MOUDITS, 'r-^');
% plot(t, pCO2TS, '-^', 'MarkerFaceColor', [0.4940, 0.1840, 0.5560]);
xlabel('Date');
ylabel('pH')
yyaxis right
%plot(t, ChlTS, '-s')
plot(newChlTime, newChlValues, '-')
% addaxis(chlTime, chlCorr, 'b')
% c = p.Color;
% p.Color = '#7E2F8E';
ylabel('Chl-A (ug/L)');
% pCO2TS = [];
% addaxis(t, pCO2TS, 'y')
legend('SSW', 'SSML', 'nSSA', 'Chl-A');

%% FIGURE 3: Bloom 3 rise MOUDI vs pCO2
pCO2 = [471.55 506.21 509.83 492.48 484.22 470.12 474.95 438.52];
MOUDI_s7 = [2.05 1.96 1.88 1.94 1.99 2.08 2.12 2.16];
errhigh = [.11 .1 .22 .12 .14 .11 .19 .12];
errlow = errhigh;
pCO2xError = [3.2 0.3 5.5 1.1 3.4 0.4 3.4 1.3];
scatter(pCO2, MOUDI_s7, 'o', 'k')
hold on
er = errorbar(pCO2, MOUDI_s7, errlow, errhigh, pCO2xError, pCO2xError, 'LineStyle', 'none');
er.Color = [0 0 0];
xlabel('pCO2 (ppm)');
ylabel('Submicron MOUDI pH');
ytickformat('%.2f')
%% FIGURE 3: Bloom 3 rise MOUDI vs bulk pH
pH_calc = [7.964 7.944 7.941 7.954 7.96 7.97 7.967 7.996];
MOUDI_s7 = [2.05 1.96 1.88 1.94 1.99 2.08 2.12 2.16];
errhigh = [.11 .1 .22 .12 .14 .11 .19 .12];
errlow = errhigh;
pH_calcError = [0.0031 0.0012 0.0046 0.0088 0.0028 0.0011 0.0027 0.0015];
scatter(pH_calc, MOUDI_s7, 'o', 'k')
hold on
er = errorbar(pH_calc, MOUDI_s7, errlow, errhigh, pH_calcError, pH_calcError, 'LineStyle', 'none');
er.Color = [0 0 0];
xlabel('pH from carbonate sensor');
ylabel('Submicron MOUDI pH');
xtickformat('%.2f')
ytickformat('%.2f')
%% FIG S2 Controls bar graph with centered error bars
pHs = [6.64 6.57 6.45 6.52; 8.02 8.09 7.99 7.96; 1.92 1.89 1.9 1.78; 1.65 1.63 1.58 1.59];
err = [.2 .15 .08 .08; .01 .11 .08 .4; .01 .09 .11 .04; .01 .24 .38 .2];
bar(pHs)
set(gca, 'XTickLabel', {'milliQ', 'SSW', 'Acid SSW', 'Buffer'});
hold on

ngroups = size(pHs, 1);
nbars = size(pHs, 2);
groupwidth = min(0.8, nbars/(nbars+1.5));
for i = 1:nbars
    x = (1:ngroups) - groupwidth/2 + (2*i-1) * groupwidth / (2*nbars);
    errorbar(x, pHs(:,i), err(:,i), '.');
end

% errorbar(pHs, err, '.')
ylabel('pH');
legend('pH probe', 'pH paper bulk', 'pH paper submicron', 'pH paper supermicron');

%% FIG S1c pH paper to seawater calibration curve
pHpaper = [1.99 2.12 2.29 2.47 2.51 2.71 2.97 3.02];
pHprobe = [0.59 1.12 1.51 1.71 1.88 2.08 2.37 2.61];
scatter(pHpaper, pHprobe)
xlabel('pH paper reading')
ylabel('pH probe reading')
% After generating apply a linear fit using Tools -> Basic Fitting
%% FIG S1b Sample color calibration curve
RminG = [50.077 22.449 7.272 -14.209 -26.73 -33.719];
pHstd = [3 3.5 4 4.5 5 5.5];
scatter(RminG, pHstd)
xlabel('Red value minus green value')
ylabel('pH')
ytickformat('%.1f')
% After generating apply a quadratic fit using Tools -> Basic Fitting
%% FIG S6 RH vs supermicron
supermicron= [3.49 3.74 3.61 4.71 4.45 3.57 4.4];
RH = [79.08 87.5 81.67 89.7 97.23 87.5 89.69];
scatter(RH, supermicron, '*', 'b')
ytickformat('%.1f')
ylabel('TSP pH')
xlabel('Relative Humidity (%)')

%% FIG S6 RH vs MOUDI
% MOUDI= []; %%Many numbers, open MATLAB fig RH_MOUDI
% RHM = [];
scatter(RHM, MOUDI, 'o', 'r')
ytickformat('%.1f')
ylabel('Submicron nSSA pH')
xlabel('Relative Humidity (%)')

%% FIG S4 Representative APS log scale
%aeroDiaAPS = []; %Pull this data from APS txt file
%dndAPS = [];
plot(aeroDiaAPS, dndAPS);
set(gca, 'XScale', 'log', 'box', 'off')
%set(gca,'xticklabel',{[]})
%set(gca,'xtick',[])
xlabel('Aerodynamic diameter (microns)');
ylabel('dN/dlog(Dp)');

%% FIG S4 Representative SMPS log scale
% diamMidSMPS = []; %Pull this data from SMPS txt file
% countSMPS = [];
plot(diamMidSMPS, countSMPS);
set(gca, 'XScale', 'log', 'box', 'off')
%set(gca,'xticklabel',{[]})
xlabel('Diameter (log scale, nm)');
ylabel('dN/dlog(Dp)');

